datablock WheeledVehicleData(mArmedJeepVehicle:JeepVehicle)
{
   uiname = "Armed Jeep";
   
};
function mArmedJeepVehicle::onAdd(%this,%obj)
{
   JeepVehicle::onAdd(%this,%obj);
   %bot = new AIPlayer()
   {
      dataBlock = hvymgTurretPlayer;
      isTurret=1;
   };
   if(isObject(%bot))
   {
      MissionCleanup.add(%bot);
      %obj.mountObject(%bot,2);
      %obj.turret = %bot;
      %bot.schedule(10,"rigTurret");
   }
   %obj.creationTime = getSimTime();      
}
package mArmedJeepRig
{
   function Player::rigTurret(%obj)
   {
      Parent::rigTurret(%obj);
      if(%obj.dataBlock !$= hvymgTurretPlayer)
         return;
      if(!isObject(%obj))
         return;
      %parent = %obj.getObjectMount();
      if(!isObject(%parent))
         return;
      %obj.spawnBrick = %parent.spawnBrick;
      %obj.brickGroup = %parent.brickGroup;
   }
};
activatepackage(mArmedJeepRig);
function mArmedJeepVehicle::onRemove(%this,%obj)
{
   JeepVehicle::onRemove(%this,%obj);
   if(isObject(%obj.turret))
	   %obj.turret.delete();
}
function hvymgTurretPlayer::onDriverLeave(%this,%obj)
{
   if(%obj.isMounted())
      %obj.setTransform("0 0 0 0 0 0 0");
}